if RequiredScript == "lib/tweak_data/levelstweakdata" then

Hooks:PostHook(LevelsTweakData, "init", "ApplyNarrator", function(self)
	for i, level_id in pairs(self) do
		if level_id.name_id then
			level_id.narrator = "hazzalaw"
		end
	end
end)

Hooks:PostHook(LevelsTweakData, "get_narrator_prefix", "ChangeNarrator", function(self, narrator)
	self.narrator_codes = self.narrator_codes or {
		bain = "ban",
		locke = "loc"
	}
	self.narrator_codes["hazzalaw"] = "haz"
	return self.narrator_codes[narrator] or "ban"
end)

elseif RequiredScript == "lib/managers/localizationmanager" then
		LocalizationManager:add_localized_strings({
			["menu_description_hazzalaw"] = "Masterplan",
			["menu_spectator_being_traded_hesitant_hazzalaw"] = "Hazzalaw is negotiating with cops... You'll be fine."
		})
end